Subject: bug#61159: 3 test failures

From: Jim Meyering <[email-masked]>
Date: Sun, 29 Jan 2023 17:17:12 -0800

On Sun, Jan 29, 2023 at 4:13 PM Bruno Haible <[email-masked]> wrote:
> On Ubuntu Linux/x86_64, after building the current sed git repo
> with the current Gnulib, I get 3 test failures:
>
> FAIL: testsuite/compile-errors
> FAIL: testsuite/mb-y-translate
> FAIL: testsuite/normalize-text
>
> All three are consequences of the commit on 2023-01-02
> "maint: reword to avoid a too-long-line warning".

Thanks for catching this. I've just fixed it locally.

> To catch such failures sooner, should I set up a continuous integration
> that does a "make check" once every week? (I have such CIs already for
> Gnulib, gettext, and a couple of other projects. It's cheap to maintain.)

Yes, please. Thanks!